## org.exist.dom
Class CommentImpl

    java.lang.Object
      org.exist.dom.NodeImpl
          org.exist.dom.StoredNode
              org.exist.dom.CharacterDataImpl
                  org.exist.dom.CommentImpl

All Implemented Interfaces:
  org.w3c.dom.CharacterData, org.w3c.dom.Comment, org.w3c.dom.Node, QNameable, Visitable

public class CommentImpl
extends CharacterDataImpl
implements org.w3c.dom.Comment

Field Summary

Fields inherited from class org.exist.dom.StoredNode
`UNKNOWN_NODE_IMPL_ADDRESS`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`CommentImpl()`
`CommentImpl(char[] data, int start, int howmany)`
`CommentImpl(java.lang.String data)`

Method Summary
`static StoredNode` `deserialize(byte[] data, int start, int len, DocumentImpl doc, boolean pooled)` Read a node from the specified byte array.
`int` `getChildCount()`
`org.w3c.dom.Node` `getFirstChild()`
`boolean` `hasChildNodes()`
`byte[]` `serialize()`
`java.lang.String` `toString()`

Methods inherited from class org.exist.dom.CharacterDataImpl
`appendData, appendData, clear, deleteData, getData, getLength, getLowerCaseData, getNodeValue, getXMLString, insertData, release, replaceData, setData, setData, setData, substringData`

Methods inherited from class org.exist.dom.StoredNode
`accept, accept, deserialize, equals, getBroker, getDocId, getInternalAddress, getNextSibling, getNodeId, getNodeType, getOwnerDocument, getParentNode, getPath, getPreviousSibling, getQName, setInternalAddress, setNodeId, setOwnerDocument, toString`

Methods inherited from class org.exist.dom.NodeImpl

`appendChild, appendChildren, cloneNode, compareDocumentPosition, getAttributes, getAttributesCount, getBaseURI, getChildNodes, getFeature, getLastChild, getLocalName, getNamespaceURI, getNodeName, getPrefix, getTextContent, getUserData, hasAttributes, insertAfter, insertAfter, insertBefore, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeChild, replaceChild, replaceChild, setAttributes, setNodeName, setNodeValue, setPrefix, setTextContent, setUserData, supports, updateChild, updateChild`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### CommentImpl

    public CommentImpl()

### CommentImpl

    public CommentImpl(java.lang.String data)

### CommentImpl

    public CommentImpl(char[] data,
                       int start,
                       int howmany)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `CharacterDataImpl`

### serialize

    public byte[] serialize()

  Overrides:
    `serialize` in class `StoredNode`

### deserialize

    public static StoredNode deserialize(byte[] data,
                                         int start,
                                         int len,
                                         DocumentImpl doc,
                                         boolean pooled)

  Description copied from class: `StoredNode`
  Read a node from the specified byte array. <<<<<<< .working This checks the node type and calls the `StoredNode.deserialize(byte[], int, int, DocumentImpl, boolean)` ======= This checks the node type and calls the deserialize(byte[], int, int,boolean) >>>>>>> .merge-right.r4159 method of the corresponding node class. The node will be allocated in the pool and should be released once it is no longer needed.

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasChildNodes` in class `NodeImpl`
  See Also:
    `Node.hasChildNodes()`

### getChildCount

    public int getChildCount()

  Overrides:
    `getChildCount` in class `NodeImpl`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `NodeImpl`
  See Also:
    `Node.getFirstChild()`

Copyright (C) Wolfgang Meier. All rights reserved.